Get a build
GET
/v1/algorithms/{algorithmId}/builds/{buildId}curl -X GET 'https://api.embodiflow.io/v1/algorithms/{algorithmId}/builds/{buildId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- algorithmIdstring必填
- buildIdstring必填
响应
Success
- dataobject必填
- sourceRefone of必填
- uploadobject
- logsobject
- logTailstring
- idstring必填
- algorithmDefinitionIdstring必填
- versionstring | null必填
- kindstring必填可选值cloud_buildarchive_import
- statestring必填可选值queuedrunningsucceededfailedcancelled
- imageDigeststring | null必填
- logObjectKeystring | null必填
- errorMessagestring | null必填
- durationSnumber | null必填
- algorithmRevisionIdstring | null
- cacheKeystring | null
- failureReasonstring | null可选值pip_resolutiontimeoutsubmit_failedbuild_failed
- createdAtstring必填
- updatedAtstring必填
响应示例
{
"data": {
"sourceRef": {
"type": "archive",
"objectKey": "string"
},
"upload": {
"url": "string",
"objectKey": "string",
"expiresAt": "string"
},
"logs": {
"url": "string",
"expiresAt": "string"
},
"logTail": "string",
"id": "string",
"algorithmDefinitionId": "string",
"version": "string",
"kind": "cloud_build",
"state": "queued",
"imageDigest": "string",
"logObjectKey": "string",
"errorMessage": "string",
"durationS": 0,
"algorithmRevisionId": "string",
"cacheKey": "string",
"failureReason": "pip_resolution",
"createdAt": "string",
"updatedAt": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1